# "packer" defines which data compressor to use. megalz is meant to perform better, but
# didn't work on my mac (endian bug?).

# packer = megalz
packer = bbextreme

ifeq ($(packer),megalz)
	packed_files = sr/title1.scr.mlz sr/title2.scr.mlz
	packer = dec40.asm
	megalz = 1
else
	packed_files = sr/title1.scr.pck sr/title2.scr.pck
	packer = debitbust.asm
	megalz = 0
endif

sr/second_reality.code.tap: sr/f6real.asm sr/firstbit.asm sr/lastbit.asm sr/srskaven.stc sr/stc_player.asm sr/ship_big.asm sr/ship_small.asm $(packed_files) $(packer)
	pasmo  --equ megalz=$(megalz) --tap --name halnation1 sr/f6real.asm sr/second_reality.code.tap

sr/title1.scr.mlz: sr/title1.scr
	megalz sr/title1.scr sr/title1.scr.mlz

sr/title2.scr.mlz: sr/title2.scr
	megalz sr/title2.scr sr/title2.scr.mlz

sr/title1.scr.pck: sr/title1.scr
	bitbuster_extreme sr/title1.scr

sr/title2.scr.pck: sr/title2.scr
	bitbuster_extreme sr/title2.scr

sr/firstbit.asm: sr/firstbit.xbm tools/xbm2asm.pl
	perl tools/xbm2asm.pl sr/firstbit.xbm > sr/firstbit.asm
	
sr/lastbit.asm: sr/lastbit.xbm tools/xbm2vert.pl
	perl tools/xbm2vert.pl sr/lastbit.xbm > sr/lastbit.asm
	
sr/ship_big.asm: sr/ship_big.xbm tools/xbm2asm.pl
	perl tools/xbm2asm.pl sr/ship_big.xbm > sr/ship_big.asm
	
sr/ship_small.asm: sr/ship_small.xbm tools/xbm2asm.pl
	perl tools/xbm2asm.pl sr/ship_small.xbm > sr/ship_small.asm
